Skip to main content
POST
Create playlist

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

Body

application/json
title
string
required

The title of the playlist

type
enum<string>
required

The type of playlist. The project type is generated automatically. The manual and auto can set content and filter_tags_condition respectively

Available options:
project,
manual,
auto
enabled
boolean

Whether the playlist can be played in the BeyondWords player

filter_tags_condition
object

The condition used to find content for 'auto' playlists, based on author, title, published_at and tags

content
object[]

The IDs of content to include in the manual playlist

image_url
string | null

The image URL of the playlist

Response

201 - application/json

successful

id
integer

Unique identifier for the object

title
string

The title of the playlist

enabled
boolean

Whether the playlist can be played in the BeyondWords player

type
enum<string>

The type of playlist. The project type is generated automatically. The manual and auto can set content and filter_tags_condition respectively

Available options:
project,
manual,
auto
filter_tags_condition
object | null

The condition used to find content for auto playlists, based on author, title, published_at and tags

content_limit
integer

The maximum number of content items that will appear in the playlist

content
object[]

The content of the playlist (a reduced set of fields are returned). Only the id field is returned for the playlists index endpoint

created
string<date-time>

Time at which the object was created (ISO 8601)

settings
object | null
updated
string<date-time>

Time at which the object was updated (ISO 8601)